# watcherclient.v1.audit_template module

class watcherclient.v1.audit_template.AuditTemplate(manager, info, loaded=False)

  Bases: `Resource`

class watcherclient.v1.audit_template.AuditTemplateManager(api)

  Bases: `Manager`

  create(**kwargs)
  delete(audit_template_id)
  get(audit_template_id)
  list(name=None, goal=None, strategy=None, limit=None, sort_key=None, sort_dir=None, detail=False, marker=None)

    Retrieve a list of audit template.

    Parameters:

      - name – Name of the audit template

      - limit –

        The maximum number of results to return per

          request, if:

        1. limit > 0, the maximum number of audit templates to return.

        2. limit == 0, return the entire list of audit_templates.

        3. limit param is NOT specified (None), the number of items returned respect the maximum imposed by the Watcher API (see Watcher’s api.max_limit option).

      - sort_key – Optional, field used for sorting.

      - sort_dir – Optional, direction of sorting, either ‘asc’ (the default) or ‘desc’.

      - detail – Optional, boolean whether to return detailed information about audit_templates.

      - marker – Optional, UUID of the last audit template of the previous page.

    Returns:

      A list of audit templates.

  resource_class

    alias of `AuditTemplate`

  update(audit_template_id, patch)

this page last updated: 2026-02-27 18:22:30

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug